<!--
  Licensed to the Apache Software Foundation (ASF) under one
  or more contributor license agreements.  See the NOTICE file
  distributed with this work for additional information
  regarding copyright ownership.  The ASF licenses this file
  to you under the Apache License, Version 2.0 (the
  "License"); you may not use this file except in compliance
  with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an
  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  KIND, either express or implied.  See the License for the
  specific language governing permissions and limitations
  under the License.
  -->

# Kogito Quarkus Add-ons

In this module you will find all the add-ons supported by the community for Quarkus Kogito projects:

<!-- Please update this table in alphabetical order when creating a new add-on -->

| Add-On Description     | Artifact ID                                 | Since  |
|------------------------|---------------------------------------------|--------|
| Events Decisions       | kie-addons-quarkus-events-decisions      | 1.2.0  |
| Events Predictions     | kogito-addons-quarkus-events-predictions    | 1.12.0 |
| Events Rules           | drools-addons-quarkus-events-rules          | 1.12.0 |
| Events Smallrye        | kogito-addons-quarkus-events-smallrye       | 0.3.0  |
| Explainability         | kie-addons-quarkus-explainability           | 0.15.0 |
| Jobs Management        | kogito-addons-quarkus-jobs-management       | 0.6.0  |
| Knative Eventing       | kie-addons-quarkus-knative-eventing         | 1.10.0 |
| Kubernetes             | kie-addons-quarkus-kubernetes               | 1.13.0 |
| Mail                   | jbpm-addons-quarkus-mail                    | 1.6.0  |
| Messaging              | kie-addons-quarkus-messaging                | 1.0.0  |
| Monitoring Elastic     | kie-addons-quarkus-monitoring-elastic       | 1.2.0  |
| Monitoring Prometheus  | kie-addons-quarkus-monitoring-prometheus    | 0.1.0  |
| Persistence FileSystem | kie-addons-quarkus-persistence-filesystem   | 1.12.0 |
| Persistence Infinispan | kie-addons-quarkus-persistence-infinispan   | 1.12.0 |
| Persistence JDBC       | kie-addons-quarkus-persistence-jdbc         | 1.12.0 |
| Persistence Kafka      | kie-addons-quarkus-persistence-kafka        | 1.4.0  |
| Persistence MongoDB    | kie-addons-quarkus-persistence-mongodb      | 1.12.0 |
| Persistence Postgresql | kie-addons-quarkus-persistence-postgresql   | 1.12.0 |
| Process Management     | kie-addons-quarkus-process-management       | 0.3.0  |
| Process SVG            | kie-addons-quarkus-process-svg              | 1.0.0  |
| Task Management        | jbpm-addons-quarkus-task-management         | 1.4.0  |
| Task Notification      | jbpm-addons-quarkus-task-notification       | 1.6.0  |
| Tracing Decision       | kie-addons-quarkus-tracing-decision         | 0.11.0 |
| Events MongoDB         | kogito-addons-quarkus-events-mongodb        | 1.11.0 |

## Contributing

To know more about creating a new add-on, please check the main `addons` module [README](../../addons/README.md).
